Bug Hunting Session
Bug 48282 - Normal borders in XLS made by LO are shown as dotted borders in Excel
Summary: Normal borders in XLS made by LO are shown as dotted borders in Excel
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-04 01:28 UTC by Mikeyy - L10n HR
Modified: 2013-07-18 13:22 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Test xls (66.00 KB, application/vnd.ms-excel)
2012-04-04 01:28 UTC, Mikeyy - L10n HR
Details
TEST.xls opened with Excel 2007 (159.95 KB, image/png)
2013-06-24 13:35 UTC, Mikeyy - L10n HR
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mikeyy - L10n HR 2012-04-04 01:28:10 UTC
Created attachment 59462 [details]
Test xls

I have XLS file which looks ok in LO, but when I open that file in Excel borders are dotted, not regular.

In attachment you can find example file.

Comment not connected to this bug:
LO has A LOT of problems with XLS/XLSX compatibility. One of worst bug I encountered was FORMULA changing after file save without any reasons. For this alone it's still an alpha/beta software when it comes to xls files.
Comment 1 Markus Mohrhard 2012-04-10 06:35:10 UTC
We generally have to work on the export(import of excel borders. The problem is that we support a much richer set of borders and have to find a way to export our much more complex set back to excel.

I will try to spend some time on this.
Comment 2 bfoman (inactive) 2012-08-24 11:59:19 UTC
Confirmed with:
LO 3.5.5.3 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Solid borders in LO, dotted borders in Excel 2010.
Comment 3 Kevin Suo 2013-06-24 12:34:50 UTC
In my test and daily usage, the dashed-border behavior only happens in xlsx by now.

Maybe there WERE dashed borders prior to 3.5.1, it does NOT happen in the newest 3.6.6 release, 4.0 release and 4.1 RC1. In other words, your bug is FIXED ( dashed in xls).

So, may this bug report be closed and you keep track in bug 56960?
Comment 4 Mikeyy - L10n HR 2013-06-24 13:35:41 UTC
Created attachment 81343 [details]
TEST.xls opened with Excel 2007

Not sure how you came to conclusion that this bug is fixed.
Attached you can find TEST.png which is print screen of Excel 2007 opening TEST.xls after I edited it with few more borders (M1:P5) and saved with LibreOffice 4.1.0.1.
So, this is still present in latest LO 4.1 RC1 release.

I used toolbar button to edit borders (all borders and just frame borders).
Comment 5 Kevin Suo 2013-06-25 01:32:46 UTC
After further test I found I made a mistake.
You are right, this issue still exists in xls format.

However, Noel Power committed a new patch in Bug 56960, which is related to dashed borders, see comments 29 and 30 in Bug 56960. So, this issue would not happen in Libreoffice 4.1 Release.
Comment 6 Mikeyy - L10n HR 2013-07-18 13:22:42 UTC
This bug is fixed with 4.1 RC2, thanks Noel.